/ingest-snapshot/customer-partitions
1 min
POST
https://app.amberflo.io/ingest-snapshot/customer-partitions
Body Parameters
- bodyingestion.s3_snapshot.meter_partitions.CustomerPartitionsRequest.in
- customerIdsstring[]
- timeInSecondsinteger<int64>
- meterApiNamestring
Responses
200
- ingestion.s3_snapshot.meter_partitions.CustomerPartitionsResponse.out
- requestingestion.s3_snapshot.meter_partitions.CustomerPartitionsRequest.out
- customerIdsstring[]
- timeInSecondsinteger<int64>
- meterApiNamestring
- customerPartitionsmap<string, string>
- partitionsstring[]
curl
curl --request POST \
--url https://app.amberflo.io/ingest-snapshot/customer-partitions \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/ingest-snapshot/customer-partitions", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/ingest-snapshot/customer-partitions")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/ingest-snapshot/customer-partitions"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"request": {
"customerIds": [
""
],
"timeInSeconds": "",
"meterApiName": ""
},
"customerPartitions": "",
"partitions": [
""
]
}